# Class BasicTreeUI.TreeSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.TreeSelectionHandler

All Implemented Interfaces:
  `EventListener, TreeSelectionListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreeSelectionHandler extends Object implements TreeSelectionListener
Listens for changes in the selection model and updates the display accordingly.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeSelectionHandler()`
  Constructs a `TreeSelectionHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueChanged(TreeSelectionEvent event)`
  Messaged when the selection changes in the tree we're displaying for.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TreeSelectionHandler

    public TreeSelectionHandler()
    Constructs a `TreeSelectionHandler`.

- ## Method Details

  - ### valueChanged

    public void valueChanged(TreeSelectionEvent event)
    Messaged when the selection changes in the tree we're displaying for. Stops editing, messages super and displays the changed paths.
    Specified by:
      `valueChanged` in interface `TreeSelectionListener`
    Parameters:
      `event` - the event that characterizes the change.